地信网论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

免费视频|新人指南|答学员问|投诉删帖

禁止上传涉密资料|赚取铜板|附件下载

查看: 235|回复: 1
收起左侧

[二次开发] 三点画矩形

[复制链接]

3

主题

180

铜板

0

好友

技术员

Rank: 3Rank: 3

积分
78
发表于 2018-11-29 13:41 | 显示全部楼层 |阅读模式
“家乡”主题作品征集大赛

马上注册地信网,享受更多功能,学习更多知识,成就人生精彩!

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
  1. ;三点矩形
  2. (defun C:3pr (/ PT1 PT2 ANG)
  3.     (while (and (setq PT1 (getpoint "\n指定第一点:"))
  4.         (setq PT2 (getpoint PT1 "\n指定第二点t:"))
  5.         )
  6.         (progn
  7.                 (setq ANG (+ (angle PT1 PT2) (* 0.5 pi))
  8.                           PT3 (polar PT1 ANG 10)
  9.                     )
  10.                     (command "_.ucs" "n" "3" PT1 PT2 PT3)
  11.                     (command "_.rectang" "non" '(0 0 0) PAUSE)
  12.                     (command "_.ucs" "P")
  13.                  )
  14.     )
  15. )
复制代码


4

主题

6172

铜板

12

好友

钻石会员

Rank: 26Rank: 26Rank: 26Rank: 26Rank: 26Rank: 26Rank: 26

积分
7281
发表于 2018-11-30 08:17 | 显示全部楼层
谢谢分享谢谢分享
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

土流网招商加盟广告
在线客服

新人指南|地信论坛 ( 湘ICP备14003170号-5 湖南土流信息有限公司 版权所有 关于地信 联系方式 邮箱登陆

湘公网安备 43010302000511号

Powered by Discuz! X3.2

快速回复 返回顶部 返回列表